Kerbal Space Program - Bug #5384

Building fairing disables part selection and craft editing in both VAB and SPH
09/07/2015 06:45 AM - preincarnated
Description

| was building a simple unmanned craft and was trying out the large fairing, however immediately after | built the fairing | could not
select, move, add, or delete parts. | could still interact with existing parts through the right-click menu, but anything involving left click
in the menu was disabled in both the VAB and SPH. The editor seems to be the only thing affected, and exiting and continuing the
save did not fix it. Functionality was restored after restarting the game client, but as soon as | tried to build the fairing left click was
again disabled. | could not reproduce the bug by re-building the craft from scratch, but opening the craft file (in any of my saves or
new games) broke the editor. | have included the KSP.log that logged an InvalidOperationException as well as the craft file.

History

#1 - 09/07/2015 12:16 PM - Squelch

- Status changed from New to Need More Info
- Platform Win32 added

- Platform deleted (Windows)

Thanks for your report. InvalidOperation is indeed unwanted, and this particular error has been known to block editor functions in my experience.
However, a game restart should clear this and allow trouble free operation. The exact cause and a good reproduction of the problem has yet to be
found.

| can confirm that the craft can be opened, edited, and the fairing rebuilt multiple times without errors on my system which would indicate that it is
something local to your system.

From your report, it appears that restarting the game does not fix it:

Is the same error thrown every time you attempt to load the craft and edit it?

Is this true even for a fresh start of the game, and creating a brand new save after copying the craft to the Ships\VAB folder?

Could you please run a file integrity check for KSP in the Steam client and let us know if anything is downloaded, and if so, if it fixes the problem?

#2 - 09/07/2015 08:18 PM - preincarnated
- File KSP (stack overflow).log added

Same error is thrown every time | encounter the problem, and | also encountered a stack overflow. | have been able to half-consistently reproduce it
multiple times today (each time in a new session) with the problem save file, a new rocket that | was building, and also from scratch just using 2 parts,
one object on top of fairing, even in a brand new sandbox save. I've been trying to find a pattern leading up to the bug, but sometimes | am able to
rebuild the fairing twenty or thirty times without any problem. Then | will start over and it happens immediately. It seems to only affect the middle sized
fairing.

Also earlier | said that nothing else was affected, but if a launch is attempted while the object is in that state, it hangs on the loading screen until client
is forced to close.

Verified file integrity, 7 files were downloaded, no change.

#3 - 09/07/2015 08:56 PM - preincarnated

Also tried fresh installation, new save, first rebuild of fairing triggered error. Also could not save the broken craft; the log said that it could not find a
part of the path.

#4 - 09/07/2015 10:12 PM - Squelch
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10
Thanks for confirming the file integrity, and for making a fresh install. It certainly helps to rule out other variables.

| have managed to reproduce your initial problem once while randomly editing the fairing. We have a theory as to what maybe causing it, and why it is
so random.

Possible Workaround

This may allow you to continue using the editor once it locks you out. However, please use with caution as it does not clear the initial error (read bad
things may happen)

From the editor.

1. Open Debug menu (Alt+F12)

2. Select the "Cheats" tab

3. Select the "Show Input Lock Stack"
4. select "Clear Input Lock Stack”

Please report back if you have any other findings. As | have now reproduced the problem albeit as a random occurrence, this can be forwarded for
further investigation.

#5 - 09/07/2015 10:41 PM - Squelch

As you are able to reproduce this problem reliably, could you please perform the following:

1. Create the error as you have been doing so in a new game session and save.
2. Exit the editor back to the Space Centre

3. Return to the editor.

4. Attach the log from the session here.

This will enable us to forensically analyse the log. If you are able to save the game, please also attach the .sfs for the same session. Thanks for your
cooperation on this. We'll get to the bottom of it.

#6 - 09/08/2015 02:20 PM - preincarnated
- File editor_bug.zip added

No problem, I'm happy to help. | replicated the issue in a new save in a new session like you asked, here is the log and sfs files (I included a
quicksave and persistent save, not sure if they are both relevant).

#8 - 09/22/2015 06:50 PM - Summoners_Rift

- Severity changed from Low to Normal

#10 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files

KSP.log 163 KB 09/07/2015 preincarnated
Problem_File.craft 61.6 KB 09/07/2015 preincarnated
KSP (stack overflow).log 384 KB 09/07/2015 preincarnated
editor_bug.zip 29.5 KB 09/08/2015 preincarnated
